#include <iostream>
#include <string>
using namespace std;

int main(int argc, char** argv) {
	
	int n=0; //Broj pacijenata
	cout<<"Unesite broj pacijenata: ";
	cin>>n;
	
		
	int zo, za, zb, zab; //zalihe krvi
	cout<<"Unesite zalihu krvi (o,a,b,ab): "<<endl;
	cin>>zo>>za>>zb>>zab;
	
	string niz[n];
	int niz1[n];
	
	for(int i = 0;i<n;i++){
		cout<< "Unesite krvne grupe za pacijenta broj ["<<i+1<<"] (o,a,b,ab): "<<endl;
		cin>> niz[i];
	}
	
	for(int i=0; i<n-1;i++){
		cout<< "Unesite kolicinu krvi za pacijenta broj ["<<i+1<<"] (o,a,b,ab): "<<endl;
		cin>> niz1[i];
	}
	
	cout<<endl;
	cout<<endl;
	
	int o=0, a=0, b=0, ab=0;
	
	for(int i = 0;i<n;i++){
		if (niz[i]=="a"){
			a++;
		}
		else if (niz[i]=="b"){
				b++;
			}
			else if (niz[i]=="ab"){
					ab++;
				}
				else if (niz[i]=="o"){
						o++;
					}
					else{
						cout<<"Los unos!"<<endl;
					}
		}
		
	cout<<endl;
	cout<<endl;
	
	cout<<"Broj pacijenata:		a: "<<a<<"	"<<"b: "<<b<<"	"<<"ab: "<<ab<<"	"<<"o: "<<o<<"	";
	
	cout<<endl;
	cout<<endl;
	
	for(int i=0;i<n;i++){
	
	//a
	if (niz[i]=="a"){
		if (za>0){
			cout<<"Pacijenti ["<<i<<"] a krvne grupe obezbedjeni!"<<endl;
			za=za-niz1[i];
			cout<<"";
		}
		else if(zo>0){
				cout<<"Pacijenti ["<<i<<"] a krvne grupe obezbedjeni!"<<endl;
				zo=zo-niz1[i];
			}
			else{
				cout<<"Nije moguce obezbediti pacijente ["<<i<<"] a krvne grupe!"<<endl;
			}
	}
	
	//b
	if(niz[i]=="b"){
		if (zb>0){
			cout<<"Pacijenti ["<<i<<"] b krvne grupe obezbedjeni!"<<endl;
			zb=zb-niz1[i];
		}
		else if(zo>0){
				cout<<"Pacijenti b ["<<i<<"] krvne grupe obezbedjeni!"<<endl;
				zo=zo-niz1[i];
			}
			else{
				cout<<"Nije moguce obezbediti pacijente ["<<i<<"] b krvne grupe!"<<endl;
			}
	}
	
	
	//o
	if(niz[i]=="o"){
		if (zo>0){
			cout<<"Pacijenti ["<<i<<"] o krvne grupe obezbedjeni!"<<endl;
			zo=zo-niz1[i];
		}
		else {
			cout<<"Nije moguce obezbediti pacijenta ["<<i<<"] o krvne grupe!"<<endl;
		}
	}
	
	
	//ab
	if(niz[i]=="ab"){
		if (zab>0){
			cout<<"Pacijenti ["<<i<<"] ab krvne grupe obezbedjeni!"<<endl;
			zab=zab-niz1[i];
		}
		else if(za>0){
				cout<<"Pacijenti ["<<i<<"] ab krvne grupe obezbedjeni!"<<endl;
				za=za-niz1[i];
			}
			else if(zb>0){
					cout<<"Pacijenti ["<<i<<"] ab krvne grupe obezbedjeni!"<<endl;
					zb=zb-niz1[i];
				}
				else if(zo>0){
						cout<<"Pacijenti ["<<i<<"] ab krvne grupe obezbedjeni!"<<endl;
						zo=zo-niz1[i];
					}
					else{
						cout<<"Nije moguce obezbediti pacijenta ["<<i<<"] ab krvne grupe!"<<endl;
						}
		}
	}
	return 0;
}